---
- name: Prüfe erforderliche Variablen
  assert:
    that:
      - wireguard_clients is defined
      - wireguard_server_ip is defined
      - wireguard_network is defined
    fail_msg: "WireGuard-Konfiguration unvollständig: erforderliche Variablen nicht definiert"
    success_msg: "WireGuard-Variablen korrekt definiert"
  tags: [always]

- name: Installiere WireGuard
  import_tasks: install.yml
  when: ansible_connection != "local"

- name: Konfiguriere WireGuard
  import_tasks: configure.yml

- name: Konfiguriere Netzwerk für WireGuard
  import_tasks: network.yml
  when: ansible_connection != "local"
